Deploy Cognate extension to production
Closed, ResolvedPublic

Description

The Cognate extension provides automated sitelinks for Wiktionary. It should be deployed to all Wiktionaries.

Extension page: https://www.mediawiki.org/wiki/Extension:Cognate
Phabricator project: Cognate

I have scheduled a slot for the 24th April @ https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=1755015&oldid=1754978

The TODOs for deployment are:

  • - Create the database & tables to be used by Cognate on wiktionaries T162252
  • - Enable InterwikiSorting on All Wiktionaries T162253
  • - Enable Cognate on All Wiktionaries
  • - Populate Cognate sites table
  • - Populate Cognate pages table
  • - Add the population of cognate_sites table to the addsite script for wiktionaries? https://gerrit.wikimedia.org/r/349958

Related Objects

StatusAssignedTask
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
Resolvedaude
ResolvedAddshore
ResolvedAddshore
Resolvedjcrespo
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
DuplicateWMDE-leszek
ResolvedWMDE-leszek
ResolvedAddshore
ResolvedAddshore
ResolvedAddshore
ResolvedMarostegui
ResolvedAddshore
There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2016, 3:50 PM
Addshore renamed this task from deploy Cognate extension to production to Deploy Cognate extension to production.Nov 7 2016, 4:16 PM
Meno25 added a subscriber: Meno25.Nov 9 2016, 12:52 PM

Change 332912 had a related patch set uploaded (by addshore):
[mediawiki/tools/release] Add Cognate to make-wmf-branch

https://gerrit.wikimedia.org/r/332912

Change 332912 merged by jenkins-bot:
[mediawiki/tools/release] Add Cognate to make-wmf-branch

https://gerrit.wikimedia.org/r/332912

I have a question for you @Addshore currently the editors can find a list of the interwiki links in the wiktionary dump. Will this be still possible? How can they manually or by script, access to a list of all the links for one word? Thanks!

@Lea_Lacroix_WMDE I am guessing you mean the "Interwiki link tracking records" on dumps.wm.o so enwiktionary-20170301-iwlinks.sql.gz for enwiktionary?

The links provided by cognate will not appear there or in the iwlinks db table.
This table and dump will continue to show the links that are provided in wikitext itself.

It would be easy to infer all iwlinks based on the dumps of titles form each wiktionary.
There will also be a collection of database tables that could be used to get a list of cognate provided links from.
These should be replicated to labs at some point after / during deployment.

@Addshore Do we have an ETA for when the extension will come into action? Just so we can prepare accordingly (e.g. for interwiki bots).

@Darkdadaah Not yet, but as soon as we have it, I'll announce at least 7 days in advance. Is it OK for you?

Thanks @Lea_Lacroix_WMDE that's good enough!

Addshore added a comment.EditedApr 5 2017, 10:42 AM

I have scheduled a slot for the 24th April @ https://wikitech.wikimedia.org/w/index.php?title=Deployments&diff=1755015&oldid=1754978

The TODOs for deployment are:

  • - Create the database & tables to be used by Cognate on wiktionaries
  • - Enable InterwikiSorting on All Wiktionaries
  • - Enable Cognate on All Wiktionaries
  • - Populate Cognate sites table
  • - Populate Cognate pages table
Addshore claimed this task.Apr 5 2017, 10:43 AM
Addshore updated the task description. (Show Details)
Addshore moved this task from Backlog to In Progress on the User-Addshore board.

Thanks Adam!

The announcement is planned on April 13th. I need help for translation in as many languages as possible, see the content here

Addshore updated the task description. (Show Details)Apr 5 2017, 10:55 AM

Change 346524 had a related patch set uploaded (by Addshore):
[operations/mediawiki-config@master] Deploy Cognate to production wiktionaries

https://gerrit.wikimedia.org/r/346524

Addshore updated the task description. (Show Details)Apr 12 2017, 11:45 AM
Addshore updated the task description. (Show Details)

Change 349876 had a related patch set uploaded (by Addshore):
[operations/mediawiki-config@master] Add Cognate to extension-list

https://gerrit.wikimedia.org/r/349876

Change 349876 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Cognate to extension-list

https://gerrit.wikimedia.org/r/349876

Mentioned in SAL (#wikimedia-operations) [2017-04-24T10:01:26Z] <addshore@naos> Started scap: [[gerrit:349876|Add Cognate to extension-list]] T150182

Mentioned in SAL (#wikimedia-operations) [2017-04-24T10:16:53Z] <addshore@naos> Finished scap: [[gerrit:349876|Add Cognate to extension-list]] T150182 (duration: 15m 26s)

Change 346524 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy Cognate to production wiktionaries

https://gerrit.wikimedia.org/r/346524

Mentioned in SAL (#wikimedia-operations) [2017-04-24T10:57:50Z] <addshore@naos> Synchronized wmf-config/CommonSettings.php: [[gerrit:346524|Deploy Cognate to production wiktionaries]] T150182 PT 1/4 (duration: 01m 18s)

Mentioned in SAL (#wikimedia-operations) [2017-04-24T11:01:25Z] <addshore@naos> Synchronized wmf-config/CommonSettings-labs.php: [[gerrit:346524|Deploy Cognate to production wiktionaries]] T150182 PT 2/4 (duration: 01m 01s)

Mentioned in SAL (#wikimedia-operations) [2017-04-24T11:02:34Z] <addshore@naos> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:346524|Deploy Cognate to production wiktionaries]] T150182 PT 3/4 (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2017-04-24T11:12:47Z] <addshore@naos> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:346524|Deploy Cognate to production wiktionaries]] T150182 PT 3/4 (touched) (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2017-04-24T11:14:11Z] <addshore@naos> Synchronized wmf-config/InitialiseSettings-labs.php: [[gerrit:346524|Deploy Cognate to production wiktionaries]] T150182 PT 4/4 (duration: 00m 47s)

Addshore updated the task description. (Show Details)Apr 24 2017, 11:18 AM

Cognate is now deployed.
The pages & titles tables are populating, I'll update this ticket once complete.

Addshore updated the task description. (Show Details)Apr 24 2017, 1:53 PM

All tables populated

Change 349958 had a related patch set uploaded (by Addshore):
[mediawiki/extensions/WikimediaMaintenance@master] Add populateCognateSites.php to addwiki.php

https://gerrit.wikimedia.org/r/349958

Addshore closed this task as Resolved.Apr 24 2017, 2:11 PM
Addshore updated the task description. (Show Details)
Addshore moved this task from In Progress to Done / Closed on the User-Addshore board.
TerraCodes updated the task description. (Show Details)Apr 25 2017, 1:56 AM
Meno25 removed a subscriber: Meno25.May 5 2017, 6:44 AM

Change 349958 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMaintenance@master] Add populateCognateSites.php to addwiki.php

https://gerrit.wikimedia.org/r/349958